Subject: Re: bug#22793: grep -E assertion failure with back references

From: Paul Eggert <[email-masked]>
Date: Wed, 24 Feb 2016 11:46:55 -0800

With recent 'grep' you can work around the problem by configuring 
--with-included-regex. That has some other undesirable properties, though.

This is really a glibc bug 
<https://sourceware.org/bugzilla/show_bug.cgi?id=18986> and the glibc 
patch could be applied to the Debian copy of glibc. Here's the patch:

http://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=5513b40999149090987a0341c018d05d3eea1272

In other words, Debian bug #186568 is really a glibc bug, not a grep 
bug. Can you please fix the Debian bug report accordingly? I'll CC: this 
message there.